aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-11-02 12:42:03 -0300
committerNatanael Copa <ncopa@alpinelinux.org>2019-11-13 15:45:11 +0000
commitc6cd6d2dd8c81b4361149c02c781505be2506f22 (patch)
treee0d07349712c8a617e700bc49852ad188056c7a1
parentcf0416455456e93e1ae1759a0a7f06a15e070a8c (diff)
downloadaports-c6cd6d2dd8c81b4361149c02c781505be2506f22.tar.gz
aports-c6cd6d2dd8c81b4361149c02c781505be2506f22.tar.bz2
aports-c6cd6d2dd8c81b4361149c02c781505be2506f22.tar.xz
main/s6-networking: upgrade to 2.3.1.1
-rw-r--r--main/s6-networking/APKBUILD17
1 files changed, 11 insertions, 6 deletions
diff --git a/main/s6-networking/APKBUILD b/main/s6-networking/APKBUILD
index 1bf8c05c75..fbe39b1a81 100644
--- a/main/s6-networking/APKBUILD
+++ b/main/s6-networking/APKBUILD
@@ -1,17 +1,16 @@
# Maintainer: Laurent Bercot <ska-devel@skarnet.org>
# Contributor: John Regan <john@jrjrtech.com>
pkgname=s6-networking
-pkgver=2.3.0.4
-pkgrel=1
+pkgver=2.3.1.1
+pkgrel=0
pkgdesc="skarnet.org's UCSPI Unix and TCP tools, access control tools, and network time management utilities."
url="http://skarnet.org/software/$pkgname/"
arch="all"
license="ISC"
options="!check"
makedepends="skalibs-dev execline-dev s6-dev s6-dns-dev bearssl bearssl-dev"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-builddir="$srcdir/$pkgname-$pkgver"
+subpackages="$pkgname-static $pkgname-dev $pkgname-doc"
+source="http://skarnet.org/software/s6-networking/s6-networking-$pkgver.tar.gz"
build() {
cd "$builddir"
@@ -20,6 +19,7 @@ build() {
--enable-static \
--disable-allstatic \
--prefix=/usr \
+ --libdir=/usr/lib \
--libexecdir="/usr/lib/$pkgname" \
--with-dynlib=/lib \
--enable-ssl=bearssl
@@ -37,4 +37,9 @@ doc() {
cp -a "$builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
}
-sha512sums="e0a6dbaf3420beae5b6bab1cedeaeb5d58dea36c9a6e1c3f7140515c83eaf3e872f896d90e43771d74669edcc0a3f25ba8135cc3a21d378a297d92ba2abc62d3 s6-networking-2.3.0.4.tar.gz"
+static() {
+ default_static
+ rmdir -p "$pkgdir"/usr/lib/"$pkgname" || :
+}
+
+sha512sums="3bd7cdbf6f105bb83c5116e736f4288d378571467e7aa93f862eba80ce28255bda77140a2a1cf80af80480789dfb38682049f6769952fb8964b860bdf465551b s6-networking-2.3.1.1.tar.gz"